Page MenuHomePhabricator

Migrate all CI jobs from Nodepool, deprecate its use
Closed, ResolvedPublic

Description

We want to move away from Nodepool for many reasons. We will instead be using a docker-based setup. In the longer term this setup will match what is being used in production (blubber, helm, k8s).

This task is to track all needs for deprecating Nodepool use.

Details

Related Gerrit Patches:
integration/config : masterArchive operations/debs/nodepool
integration/config : masterDrop integration-config-dib-jessie

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedMaxSem
ResolvedCommunityTechBot
DuplicateNone
Resolved hashar
ResolvedLegoktm
Resolved hashar
Resolved hashar
ResolvedEjegg
Resolved hashar
DeclinedJayprakash12345
Resolved hashar
Resolved hashar
ResolvedAnomie
ResolvedOsnard
ResolvedRequest MarcoAurelio
ResolvedRequest MarcoAurelio
Resolved hashar
ResolvedRequest MarcoAurelio
ResolvedRequest MarcoAurelio
OpenNone
OpenNone
Resolved hashar
Resolved hashar
ResolvedPastakhov
Resolved hashar
Resolved hashar
Resolvedthiemowmde
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedLucas_Werkmeister_WMDE
Resolved hashar
Resolved hashar
ResolvedLegoktm
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedKarima
DeclinedNone
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Declined hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar

Event Timeline

greg triaged this task as High priority.Mar 19 2018, 10:23 PM
greg created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2018, 10:23 PM
Ebe123 renamed this task from Migrate all CI jobs from Nodepool, deprecate it's use to Migrate all CI jobs from Nodepool, deprecate its use.Apr 30 2018, 4:44 PM

Change 473199 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive operations/debs/nodepool

https://gerrit.wikimedia.org/r/473199

Change 473201 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Stop running rake test for integration/config

https://gerrit.wikimedia.org/r/473201

Change 473202 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Remove Nodepool / diskimage-builder material

https://gerrit.wikimedia.org/r/473202

Change 473201 merged by jenkins-bot:
[integration/config@master] Drop integration-config-dib-jessie

https://gerrit.wikimedia.org/r/473201

Change 473199 merged by jenkins-bot:
[integration/config@master] Archive operations/debs/nodepool

https://gerrit.wikimedia.org/r/473199

hashar closed this task as Resolved.Nov 15 2018, 7:27 PM
hashar claimed this task.
hashar added a subscriber: hashar.

All jobs have been migrated. There are still some sub tasks opened but they are no more blockers for phasing out Nodepool.

greg added a comment.Nov 16 2018, 5:23 PM

All jobs have been migrated. There are still some sub tasks opened but they are no more blockers for phasing out Nodepool.

\o/ CELEBRATION! Well done Antoine. I know this was a long and grueling and sometimes sad project. I really appreciated your effort here to do things as completely as possible.

Why did we think this was going to only take 6 months? :P I guess the normal "multiple by 3 any time estimates" is mostly still true :)